#pragma rtglobals=2

Function betafactor3(FG_ParamWave, x) : FitFunc
	Wave FG_ParamWave
	Variable x

	//CurveFitDialog/ 
	//CurveFitDialog/ Independent Variables 1
	//CurveFitDialog/ x
	//CurveFitDialog/ Coefficients 6
	//CurveFitDialog/ FG_ParamWave[0] = a
	//CurveFitDialog/ FG_ParamWave[1] = b
	//CurveFitDialog/ FG_ParamWave[2] = k
	//CurveFitDialog/ FG_ParamWave[3] = betaa
	//CurveFitDialog/ FG_ParamWave[4] = Re
	//CurveFitDialog/ FG_ParamWave[5] = betaS

	Variable a = FG_ParamWave[0]
	Variable b = FG_ParamWave[1]
	Variable k = FG_ParamWave[2]
	Variable betaa = FG_ParamWave[3]
	Variable Re = FG_ParamWave[4]
	Variable betaS = FG_ParamWave[5]

	return (sin((a*pi*x+pi)/2)^2+cos(b*pi*x)^2)^2*k*exp(-betaa*Re*x)+k*exp(-betaS*Re*x)
end
